## visad.meteorology
Interface ImageSequence

All Superinterfaces:
  Data, Field, Function, Thing

All Known Implementing Classes:
  ImageSequenceImpl

public interface ImageSequence
extends Field

Interface for representing a time sequence of single-banded images.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`SingleBandedImage` `getImage(DateTime dt)` Get the image at the specified time
`SingleBandedImage` `getImage(int index)` Return the image at the index'th position in the sequence.
`int` `getImageCount()` Return the number of images in the sequence.
`DateTime[]` `getImageTimes()` Return the list of times associated with this sequence.

Methods inherited from interface visad.Field
`domainEnumeration, domainFactor, domainMultiply, domainMultiply, extract, getDefaultRangeUnits, getDomainSet, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples`

Methods inherited from interface visad.Function
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainCoordinateSystem, getDomainDimension, getDomainUnits, resample, resample`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### getImageTimes

    public DateTime[] getImageTimes()
                             throws VisADException

  Return the list of times associated with this sequence.

  Returns:
    array of image start times.
  Throws:
    `VisADException`

### getImageCount

    public int getImageCount()
                      throws VisADException

  Return the number of images in the sequence.

  Returns:
    number of images
  Throws:
    `VisADException`

### getImage

    public SingleBandedImage getImage(DateTime dt)
                               throws VisADException,
                                      RemoteException

  Get the image at the specified time

  Parameters:
    `dt` - image time
  Returns:
    single banded image at that time.
  Throws:
    `VisADException` - no image at that time in the set.
    `RemoteException` - can't get remote image

### getImage

    public SingleBandedImage getImage(int index)
                               throws VisADException,
                                      RemoteException

  Return the image at the index'th position in the sequence.

  Parameters:
    `index` - index in the sequence
  Returns:
    single banded image at that index
  Throws:
    `VisADException` - no image at that index in the set.
    `RemoteException` - can't get remote image